Mailinglist Archive: opensuse-buildservice (145 mails)

< Previous Next >
Re: [opensuse-buildservice] building xz requires xz
On Tuesday 15 October 2013, Brian K. White wrote:
Come on, building xz requires xz ?

I used to build xz on a bunch of old targets so that OTHER packages
that required xz would find it, but now they all fail because the
Base:build/xz I branched from changed to use xz-<version>.tar.xz as
it's source file.

I maintain a project for many targets where xz and tar is only built if
it's needed to let it work with xz compressed sources. You could
aggregate the packages from there
https://build.opensuse.org/project/monitor/home:rudi_m:bldchn

xz itself cannot sanely buildrequires xz!

You also need gcc to build gcc, or coreutils for coreutils.
Of course in this case I also find it pity that xz sources were not
fixed generally for all standard distros on OBS.

(wasn't any explicit buildrequires either, just an assumption that
tar would handle a .tar.xz, because the failure was only in the build
logs "tar: file does not appear to be a tar archive", not a
requires/buildrequires resolver message.)

It depends whether
tar -xf bla.tar.xz
or
xz -dc bla.tar.gz | tar -xf -
which is AFAIR not the same on all distro.

On some distros (e.g. CentOS_CentOS-5) you only need to update tar and
not xz, as you see in my home:rudi_m:bldchn project.


cu,
Rudi
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups
References